drop proc in_agregarinventariohistorico_proc
go

create proc in_agregarinventariohistorico_proc
as
declare @almacen ud_idsite

SELECT @ALMACEN =SOURCESITE FROM SETUP

declare @inicioinventario smalldatetime
select @inicioinventario=(select startdateinven from site where siteid=@almacen) --OBTENER fecha de inicio de inventario

begin tran

insert into in_inventhistophisi (SITEID,INVTIDSKU,CLASSID,CLASSUBID,STOCKPHISICAL,QTYAVAIL,INTRDATEPHISICAL)
select SITEID,INVTIDSKU,CLASSID,CLASSUBID,STOCKPHISICAL,QTYAVAIL,@inicioinventario from VW_AJUSTEAUTOMATICO where siteid=@almacen

truncate table in_inventphisical
truncate table in_cluster

IF (@@error!=0)
	begin
		rollback
		return(1)
	end
else
	commit

return(0)

go

exec in_agregarinventariohistorico_proc

